Subject: [bug#29409] [PATCH] linux-libre: Adapt some arm options to match intel conf.

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 25 Nov 2017 18:22:23 +0100

> Any chance that this patch is not necessary if the correct initrd is used? Because it should have been able to load the modules from the initrd just fine.

Well the initrd used on intel platforms only loads a specific set of
modules ("ahci" "usb-storage" ...), see linux-modules in
linux-initrd.scm.

I'd like to reuse the same code on arm platform, so I think the better
option is for kernel configurations to converge instead of defining
specific initrd for specific platforms.

I plan on adding a gnu/system/installers/ or a gnu/system/boards/
directory with one file per specific platform. Then each board will have
a specific bootloader: grub, u-boot-... but, if possible, the same
kernel : linux-libre and the same initrd : base-initrd (with some
#:extra-modules if needed).

WDYT ?

Mathieu